ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::OMETransformResolver::Transform Struct Reference

Metadata for a schema transform between two schema versions. More...

`#include <ome/xml/OMETransformResolver.h>`

## Public Member Functions
| Transform ()
| Default constructor.
| Transform (const boost::filesystem::path &file)
| Construct transform from path. More...
| Transform (const boost::filesystem::path &file, Quality quality)
| Construct transform from path with specified quality. More...
bool | operator< (const Transform &rhs) const
| Compare with other Transform. More...

## Public Attributes
boost::filesystem::path | file
| The XSL transform.
std::pair< std::string, std::string > | schemas
| The source and target schema versions.
uint32_t | weight
| The quality metric for the transform (less is better).

## Detailed Description

Metadata for a schema transform between two schema versions.

Internally, this is attached to each graph edge, with the transformation quality used for determining the optimal set of transformations to apply.

## Constructor & Destructor Documentation

## § Transform() [1/2]

ome::xml::OMETransformResolver::Transform::Transform | ( | const boost::filesystem::path & | file | ) |

Construct transform from path.

The quality of the transform will be determined automatically from the filename.

Parameters

  file | the XSL transform.

## § Transform() [2/2]

ome::xml::OMETransformResolver::Transform::Transform | ( | const boost::filesystem::path & | file,
|  | Quality | quality
| ) |  |

Construct transform from path with specified quality.

Parameters

  file | the XSL transform.
  quality | the quality of the XSL transform.

## Member Function Documentation

## § operator<()

bool ome::xml::OMETransformResolver::Transform::operator< | ( | const Transform & | rhs | ) | const
| inline

Compare with other Transform.

Parameters

  rhs | the Transform to compare with.

Returns
  `true` if the transform source and target versions are lexicographically less, `false` otherwise.

References schemas.

The documentation for this struct was generated from the following files:

- ome/xml/OMETransformResolver.h
- ome/xml/OMETransformResolver.cpp